@import '~@mat-datetimepicker/core/datetimepicker/datetimepicker-theme.scss';
@import './theme';
@import './variables';
@import './button';
@import './accordion';
@import './paginator';
@import './select-option';
@import './tooltip';
@import './snack-bar';
@import './dialog';
@import './typography';
@import './image';

@include angular-material-theme($fmi-plateau-app-theme);
@include mat-datetimepicker-theme($fmi-plateau-app-theme);

html, body {
  height: 100%;
}

body {
  margin: 0;
  font-family: Roboto, 'Helvetica Neue', sans-serif
}

a {
  text-decoration: none;
  color: inherit;

  &.disabled {
    pointer-events: none;
    cursor: default;
  }
}

@mixin user-select($property) {
  -webkit-touch-callout: $property;
  -webkit-user-select: $property;
  -khtml-user-select: $property;
  -moz-user-select: $property;
  -ms-user-select: $property;
  user-select: $property;
}

* {
  @include user-select(none);
}

input, textarea {
  @include user-select(auto);
}
